---
title: v2
description: 
published: true
date: 2019-12-07T21:58:56.089Z
tags: 
---

> This page is in construction.

# v2

> Base URL:
https://api.premid.app/v2
{.is-info}


## Endpoints
<table>
  <thead>
    <tr>
      <th style="text-align:left">Endpoint</th>
      <th style="text-align:left">Type</th>
      <th style="text-align:left">Description</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td style="text-align:left"><b>/v2/usage</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get the number of PreMiD users.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/science</b>
      </td>
      <td style="text-align:left"><code>POST</code></td>
      <td style="text-align:left">-</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/presences</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get informations about all of our presences.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/presences/:presence</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get informations about a single presence.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/presences/:presence/:file</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get a file of the presence (Ex: presence.js, metadata.json).</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/presenceUsage</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get the number of users from all of our presences.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/versions</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get the versions of our API, Application, Extension and Discord Bot.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/langfile/:project/:lang</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get the translated strings of our website and extension. You can check all the languages using the next endpoint.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/langfile/list</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get all the available translated languages.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/credits</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get Discord informations of our PreMiD Staff and Donators.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/credits/:userId</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get informations of a specified user, using Discord User ID. Must be in our <a href="https://discord.gg/premid">Discord server</a>.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/changelog</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">-</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/changelog/:project</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get the changelog of our Extension.</td>
    </tr>
    <tr>
      <td style="text-align:left"><b>/v2/changelog/:project/:version</b>
      </td>
      <td style="text-align:left"><code>GET</code></td>
      <td style="text-align:left">Get the changelog of a specified version of our Extension.</td>
    </tr>
  </tbody>
</table>
